com.mockobjects.servlet

## Class MockServletConfig

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockServletConfig

- All Implemented Interfaces:
    Verifiable

      public class MockServletConfig
      extends MockObject

  Version:
    $Revision: 1.1 $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockServletConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInitParameter(java.lang.String paramName)`
    `java.util.Enumeration` | `getInitParameterNames()`
    `ServletContext` | `getServletContext()`
    `java.lang.String` | `getServletName()`
    `void` | `setInitParameter(java.lang.String paramName, java.lang.String paramValue)`
    `void` | `setServletContext(ServletContext servletContext)`
    `void` | `setupAddInitParameter(java.lang.String paramName, java.lang.String value)`
    `void` | `setupNoParameters()`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockServletConfig

          public MockServletConfig()

  - ### Method Detail

    - #### getInitParameter

          public java.lang.String getInitParameter(java.lang.String paramName)

    - #### setInitParameter

          public void setInitParameter(java.lang.String paramName,
                                       java.lang.String paramValue)

    - #### getInitParameterNames

          public java.util.Enumeration getInitParameterNames()

    - #### setupAddInitParameter

          public void setupAddInitParameter(java.lang.String paramName,
                                            java.lang.String value)

    - #### setupNoParameters

          public void setupNoParameters()

    - #### setServletContext

          public void setServletContext(ServletContext servletContext)

    - #### getServletContext

          public ServletContext getServletContext()

    - #### getServletName

          public java.lang.String getServletName()

Copyright © 2002 Mock Objects. All Rights Reserved.